#ifndef AFX_WINMODPATTERNDLG_H__6E68A380_18BB_11D5_A74C_00A0244AEFC1__INCLUDED_
#define AFX_WINMODPATTERNDLG_H__6E68A380_18BB_11D5_A74C_00A0244AEFC1__INCLUDED_

// WinModPatternDlg.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CWinModPatternDlg 

class CWinModPatternDlg : public CDialog
{
// Konstruktion
private:
	unsigned int actPatternNummer;
	unsigned int actDisplayedPatternNummer;
	unsigned int actTopRow;
public:
	CWinModPatternDlg(CWnd* pParent = NULL);   // Standardkonstruktor
	~CWinModPatternDlg();
	void DisplayActPosition(unsigned int actPattern, unsigned int actRow);
	void DisplayPattern(unsigned int nr, unsigned int topRow);
	void OnOK();
	void OnCancel();

// Dialogfelddaten
	//{{AFX_DATA(CWinModPatternDlg)
	enum { IDD = IDD_WinMod_Pattern };
	CEdit	m_PatternNummerCtrl;
	CListBox	m_ListPattern;
	CButton	m_PrevPattern;
	CButton	m_NextPattern;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CWinModPatternDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CWinModPatternDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPreviousPattern();
	afx_msg void OnNextPattern();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	bool m_WindowOpen;
	CFont *m_cfFixedFont;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // AFX_WINMODPATTERNDLG_H__6E68A380_18BB_11D5_A74C_00A0244AEFC1__INCLUDED_
